[arch-commits] Commit in screem/repos (3 files)

Jan de Groot jgc at archlinux.org
Thu May 28 18:39:45 EDT 2009


    Date: Thursday, May 28, 2009 @ 18:39:45
  Author: jgc
Revision: 40227

Merged revisions 40225 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/screem/trunk

........
  r40225 | jgc | 2009-05-29 00:35:23 +0200 (Fri, 29 May 2009) | 2 lines
  
  upgpkg: screem 0.16.1-7
      Remove scrollkeeper crap, revise to latest packaging standards
........

Modified:
  screem/repos/extra-i686/	(properties)
  screem/repos/extra-i686/PKGBUILD
  screem/repos/extra-i686/screem.install

----------------+
 PKGBUILD       |   37 ++++++++++++++++---------------------
 screem.install |   21 ++-------------------
 2 files changed, 18 insertions(+), 40 deletions(-)


Property changes on: screem/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /screem/trunk:1-20853
   + /screem/trunk:1-40226

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-28 22:35:38 UTC (rev 40226)
+++ extra-i686/PKGBUILD	2009-05-28 22:39:45 UTC (rev 40227)
@@ -4,49 +4,44 @@
 
 pkgname=screem
 pkgver=0.16.1
-pkgrel=6
+pkgrel=7
 pkgdesc="A source oriented web site development environment for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.screem.org"
-depends=('gtksourceview>=1.8.5-2' 'libgtkhtml>=2.11.0' 'libgnomeui>=2.18.1-2' 'libcroco'
-         'libgnomeprintui>=2.18.0' 'startup-notification>=0.9' 'enchant'
-	 'gnome-menus>=2.18.0-2' 'scrollkeeper' 'desktop-file-utils')
-makedepends=('perlxml' 'pkgconfig')
+depends=('gtksourceview>=1.8.5-2' 'libgtkhtml>=2.11.1' 'libgnomeui>=2.24.1' 'libcroco>=0.6.2' 'libgnomeprintui>=2.18.4' 'startup-notification>=0.10' 'enchant>=1.4.2' 'gnome-menus>=2.26.1' 'desktop-file-utils')
+makedepends=('intltool' 'pkgconfig' 'gnome-doc-utils')
 options=('!libtool')
 install=screem.install
 source=(http://downloads.sourceforge.net/sourceforge/screem/screem-${pkgver}.tar.gz
 	goption.patch
 	dbus-dontclose.patch)
-md5sums=('88bfc0afadb905ddbed9bdfbc869602a' 'd8f855a89a6f1479085cd88956d773c1'
+md5sums=('88bfc0afadb905ddbed9bdfbc869602a'
+	 'd8f855a89a6f1479085cd88956d773c1'
 	 '2a26231fbab056165d84bad03dfb3edd')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
-  if [ -f omf.make ]; then
-    sed -i -e 's/-scrollkeeper-update.*//' omf.make
-  fi
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/goption.patch" || return 1
+  patch -Np1 -i "${srcdir}/dbus-dontclose.patch" || return 1
 
-  patch -Np0 -i ${startdir}/src/goption.patch || return 1
-  patch -Np1 -i ${startdir}/src/dbus-dontclose.patch || return 1
-
   sed -e 's/-DGNOME_DISABLE_DEPRECATED//g' \
       -e 's/-DGNOMEUI_DISABLE_DEPRECATED//g' \
       -e 's/-DGTK_DISABLE_DEPRECATED//g' \
-      -i configure
+      -i configure || return 1
 
   ./configure --prefix=/usr --sysconfdir=/etc \
         --localstatedir=/var \
-	--with-ssl --with-included-neon \
 	--disable-update-mime \
 	--disable-update-desktop \
 	--enable-dbus \
-	--enable-enchant
+	--enable-enchant \
+	--disable-schemas-install || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
+   DESTDIR="${pkgdir}" install || return 1
 
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas --domain screem ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Modified: extra-i686/screem.install
===================================================================
--- extra-i686/screem.install	2009-05-28 22:35:38 UTC (rev 40226)
+++ extra-i686/screem.install	2009-05-28 22:39:45 UTC (rev 40227)
@@ -1,9 +1,7 @@
 pkgname=screem
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
-  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
-  scrollkeeper-update -q -p var/lib/scrollkeeper
+  gconfpkg --install ${pkgname}
   update-desktop-database -q
   update-mime-database usr/share/mime > /dev/null
 }
@@ -17,25 +15,10 @@
 }
 
 pre_remove() {
-  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
-    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
-  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
-    schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
-  else
-    schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
-  fi
-  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
-  
-  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  gconfpkg --uninstall ${pkgname}
 }
 
 post_remove() {
   update-desktop-database -q
-  scrollkeeper-update -q -p var/lib/scrollkeeper
   update-mime-database usr/share/mime > /dev/null
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list